=== src/spiro/Makefile ===
# --------------------------------------------------------------------
# Makefile for spiro
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelib
include ../common.mak

sources	= spiro.c spiroentrypoints.c

objects = $(OBJDIR)/spiro.o $(OBJDIR)/spiroentrypoints.o


all: $(objects)

$(OBJDIR)/spiro.o: spiro.c spiro-config.h spiro.h bezctx_intf.h

$(OBJDIR)/spiroentrypoints.o: spiroentrypoints.c spiro-config.h spiro.h bezctx_intf.h spiroentrypoints.h

clean:
	@-rm -f $(objects)

$(OBJDIR)/%.o:  %.c
	mkdir -p $(OBJDIR)
	@echo Compiling $(<F)...
	$(COMPILE.c) -o $@ $<

# --------------------------------------------------------------------
