=== debian/changelog ===
ipe (7.2.17-2) unstable; urgency=medium

  [ Steve Robbins ]
  * push to unstable.

 -- Steve M. Robbins <smr@debian.org>  Sun, 21 Jun 2020 11:49:39 -0500

ipe (7.2.17-1) experimental; urgency=medium

  [ Steve Robbins ]
  * [9875e10] New upstream version 7.2.17
  * [f6b17d4] Update version string in control & rules.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2020 13:42:00 -0500

ipe (7.2.16-1) experimental; urgency=medium

  [ Steve Robbins ]
  * [de5c228] New upstream version 7.2.16
  * [15518a1] Rebase patches.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 May 2020 15:39:03 -0500

ipe (7.2.15-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 7.2.15
  * Rebase patches

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Apr 2020 00:51:26 -0500
