=== debian/control ===
Source: ipe
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: graphics
Priority: optional
Build-Depends: sharutils,
               debhelper (>= 11~),
               zlib1g-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               libfreetype6-dev,
               libcurl4-openssl-dev,
               libgsl-dev,
               libcairo2-dev,
               libjpeg-dev,
               libpng-dev,
               liblua5.3-dev,
               gsfonts
Build-Conflicts: libipe1-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
Vcs-Git: https://salsa.debian.org/science-team/ipe.git
Homepage: http://ipe.otfried.org/

Package: ipe
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         texlive-latex-base,
         gsfonts,
	 sensible-utils,
         xdg-utils
Recommends: lua5.3
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.3 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.2.17
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libipe7.2.17 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.
