## ipe 7.2.23+dfsg1

=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,6 @@
 endif
 
 subdirs = \
-	spiro \
 	ipelib \
 	ipelets/lua \
 	ipetoipe \
@@ -29,7 +28,7 @@
 subdirs += ipelets/qvoronoi
 endif
 
-.PHONY: all $(subdirs)
+.PHONY: all documentation $(subdirs)
 
 all: $(subdirs)
 
@@ -60,9 +59,13 @@
 
 app: all
 	$(MAKE) --directory=ipe app
-	$(MAKE) --directory=ipe/icons app
 	$(MAKE) --directory=ipelets/lua app
+ifdef IPEQVORONOI
 	$(MAKE) --directory=ipelets/qvoronoi app
+endif
 	$(MAKE) --directory=ipepresenter app
 
+documentation:
+	$(MAKE) --directory=ipelib documentation
+
 # --------------------------------------------------------------------
