=== src/ipe/Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
 	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS) $(DL_LIBS)
 
+manualdir = ../../build/doc
+doxydir = ../../build/doxygen/ipelib/html
+
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
 else
@@ -21,10 +24,6 @@
 CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
 CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
 CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
-endif
-
-ifdef IPECURL
-CPPFLAGS += -DIPECURL
 endif
 
 all: $(TARGET)
@@ -92,10 +91,14 @@
 	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/imperial.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/right-to-left.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/arabic.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
+	iconutil -c icns -o ipe.icns ../../icons/ipe.iconset
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
-	$(INSTALL_FILES) ../../build/doc/* \
-		$(BUNDLEDIR)/SharedSupport/doc
+	$(INSTALL_FILES) ../../icons/icons.ipe $(RESOURCEDIR)/icons
+	$(INSTALL_FILES) $(manualdir)/* $(BUNDLEDIR)/SharedSupport/doc
+	$(INSTALL_FILES) $(doxydir)/* $(BUNDLEDIR)/SharedSupport/doc
 
 endif
 
@@ -110,18 +113,12 @@
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
 	$(INSTALL_SCRIPTS) ../../scripts/* $(INSTALL_ROOT)$(IPESCRIPTDIR)
 	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
-	$(INSTALL_FILES) ../../build/doc/* $(INSTALL_ROOT)$(IPEDOCDIR)
+	$(INSTALL_FILES) $(manualdir)/* $(INSTALL_ROOT)$(IPEDOCDIR)
+	test -d $(doxydir) && \
+		$(INSTALL_FILES) $(doxydir)/* $(INSTALL_ROOT)$(IPEDOCDIR) || true
 	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
-	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/presentation.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/decorations.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/note-paper.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/imperial.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/right-to-left.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/arabic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
+	$(INSTALL_FILES) ../../styles/*.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../icons/icons.ipe $(INSTALL_ROOT)$(IPEICONDIR)
+	$(INSTALL_FILES) ../../icons/ipe.iconset/icon_128x128.png $(INSTALL_ROOT)$(IPEICONDIR)
 
 # --------------------------------------------------------------------
