=== src/ipelib/Makefile ===
--- 
+++ 
@@ -10,20 +10,21 @@
 SONAME = $(call soname,ipe)
 INSTALL_SYMLINKS = $(call install_symlinks,ipe)
 
-CPPFLAGS += -I../include  -I../spiro
+CPPFLAGS += -I../include
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
 endif
-ifdef IPEGSL
 CPPFLAGS += -DIPE_GSL $(GSL_CFLAGS)
 LIBS += $(GSL_LIBS)
-endif
 ifdef IPE_NO_IPELIB_VERSION_CHECK
 CPPFLAGS += -DIPE_NO_IPELIB_VERSION_CHECK
 endif
-CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
+CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS) $(SPIRO_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
-LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS)
+LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS) $(SPIRO_LIBS)
+
+DOXYGEN ?= doxygen
+DOXDIR  = $(BUILDDIR)/doxygen
 
 ifdef WIN32
 LIBS += -lole32 -luuid
@@ -66,8 +67,6 @@
 sources += ipebitmap_unix.cpp
 endif
 
-objects += $(OBJDIR)/spiro.o $(OBJDIR)/spiroentrypoints.o 
-
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)
 	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
@@ -81,6 +80,11 @@
 
 -include $(DEPEND)
 
+documentation: 
+	rm -fr $(DOXDIR)
+	mkdir -p $(DOXDIR)
+	$(DOXYGEN)
+
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR) 
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
