=== debian/changelog ===
ipe (7.2.23+dfsg1-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [acfeb5f] Make the docs target a dependency of build-arch 
    (not install) so that it will be picked up in --arch=any builds.  
    Closes: #979311

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jan 2021 16:52:36 -0600

ipe (7.2.23+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [5c9852f] Add watch file, update copyright to repack without build 
    directory.
  * [1172b5b] New upstream version 7.2.23
  * [36bad4b] Adjust build for 7.2.23.  Add build-deps doxygen and libspiro.
  * [ec5c5e4] Sources do not provide manual in editable form, so curent 
    Debian policy prohibits distributing a manual.
  * [f1c333c] Patch "open manual" action to load online version.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Dec 2020 10:24:35 -0600

ipe (7.2.22-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [985e924] New upstream version 7.2.22
  * [cf09add] rebased patches
  * [2900b4a] Adjust build for 7.2.22
  * [72e07e3] Update Standards version and copyright text (taken from website).

 -- Steve M. Robbins <smr@debian.org>  Sun, 20 Dec 2020 13:21:21 -0600

ipe (7.2.20-2) unstable; urgency=medium
  * Source upload.

 -- Steve M. Robbins <smr@debian.org>  Sat, 12 Sep 2020 21:23:02 -0500

ipe (7.2.20-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [6260979] New upstream version 7.2.20
  * [b01fb06] Rebase patches

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Aug 2020 21:44:23 -0500
