=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: graphics
 Priority: optional
 Build-Depends: sharutils,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
+               doxygen,
                zlib1g-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
@@ -15,9 +16,10 @@
                libjpeg-dev,
                libpng-dev,
                liblua5.3-dev,
+               libspiro-dev,
                gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
 Vcs-Git: https://salsa.debian.org/science-team/ipe.git
 Homepage: http://ipe.otfried.org/
@@ -28,7 +30,7 @@
          ${shlibs:Depends},
          texlive-latex-base,
          gsfonts,
-	 sensible-utils,
+         sensible-utils,
          xdg-utils
 Recommends: lua5.3
 Suggests: texlive-latex-recommended
@@ -56,7 +58,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.17
+Package: libipe7.2.23
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -72,7 +74,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.17 (= ${binary:Version})
+         libipe7.2.23 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
