=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.17
+IPEVER = 7.2.23
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -11,10 +11,14 @@
 export QT_SELECT=qt5
 
 %:
-#	rm -f build/doc/jquery.js
 	dh $@ --sourcedirectory=src
 
-install: debian/ipetoipe
+build-arch: debian/ipetoipe docs
+
+docs:
+	make -C src documentation
+	mkdir -p build/doc
+	touch build/doc/manual-is-online
 
 override_dh_install: 
 	dh_install
