=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  http://ipe.otfried.org/ .*/ipe-@ANY_VERSION@-src.tar.gz debian uupdate
