=== debian/changelog ===
ipe (7.2.24+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:33:05 +0000

ipe (7.2.24+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [f7c2ed9] New upstream version 7.2.24
  * [28b6c67] Update library package name to libipe7.2.24.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Sep 2021 20:57:22 -0500
