=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ipe
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -58,7 +59,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.23
+Package: libipe7.2.24
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -74,7 +75,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.23 (= ${binary:Version})
+         libipe7.2.24 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
