=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.23
+IPEVER = 7.2.24
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
