=== src/ipeui/Makefile ===
--- 
+++ 
@@ -10,8 +10,11 @@
 SONAME = $(call soname,ipeui)
 INSTALL_SYMLINKS = $(call install_symlinks,ipeui)
 
-CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS)
-LIBS += $(UI_LIBS) $(LUA_LIBS)
+ifdef IPE_NO_SPELLCHECK
+CPPFLAGS += -DIPE_NO_SPELLCHECK
+endif
+CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS) $(SPELL_CFLAGS)
+LIBS += $(UI_LIBS) $(LUA_LIBS) $(SPELL_LIBS)
 
 all: $(TARGET)
