=== debian/changelog ===
ipe (7.2.26+dfsg1-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [6fb6e64] Replace gsfonts by fonts-urw-base35.  Closes: #1020364.

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Oct 2022 01:22:20 -0500

ipe (7.2.26+dfsg1-2) unstable; urgency=medium

  [ Steve Robbins ] 
  * Useless revision to case source rebuild.

 -- Steve M. Robbins <smr@debian.org>  Tue, 19 Jul 2022 20:19:20 -0500

ipe (7.2.26+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [4ae2c7c] New upstream version 7.2.26+dfsg1
  * [2cc6e46] & [76e5ea4] adjust lib package name to 7.2.26
  * [15479cd] & [0c9f06b] Remove pkg-config patch that was applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Jul 2022 12:59:23 -0500

ipe (7.2.25+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [a006df7] New upstream version 7.2.25+dfsg1
  * [c338927] Add dep for libqtspell.
  * [1931f14] refresh patches
  * [e91e943] adjust lib package name to 7.2.25.

 -- Steve M. Robbins <smr@debian.org>  Tue, 21 Jun 2022 23:55:16 -0500
