=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ipe
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -10,6 +9,7 @@
                zlib1g-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
+               libqtspell-qt5-dev,
                libfreetype6-dev,
                libcurl4-openssl-dev,
                libgsl-dev,
@@ -18,7 +18,7 @@
                libpng-dev,
                liblua5.3-dev,
                libspiro-dev,
-               gsfonts
+               fonts-urw-base35
 Build-Conflicts: libipe1-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          texlive-latex-base,
-         gsfonts,
+         fonts-urw-base35,
          sensible-utils,
          xdg-utils
 Recommends: lua5.3
@@ -59,7 +59,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.24
+Package: libipe7.2.26
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -75,7 +75,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.24 (= ${binary:Version})
+         libipe7.2.26 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
