## ipe 7.2.27+dfsg1

=== src/ipepresenter/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 TARGET = $(call exe_target,ipepresenter)
 
-CXXFLAGS += -I../include -I../ipecanvas -I../ipecairo \
+CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo \
 	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
 LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
 	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)
