=== src/ipeui/Makefile ===
--- 
+++ 
@@ -10,9 +10,10 @@
 SONAME = $(call soname,ipeui)
 INSTALL_SYMLINKS = $(call install_symlinks,ipeui)
 
-ifdef IPE_NO_SPELLCHECK
+# QtSpell is not yet available for Qt6
+#ifdef IPE_NO_SPELLCHECK
 CPPFLAGS += -DIPE_NO_SPELLCHECK
-endif
+#endif
 CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS) $(SPELL_CFLAGS)
 LIBS += $(UI_LIBS) $(LUA_LIBS) $(SPELL_LIBS)
