=== debian/changelog ===
ipe (7.2.27+dfsg1-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a22d082] Depend on libqt6svg6 so that icons display.  Closes: #1039897.

 -- Steve M. Robbins <smr@debian.org>  Tue, 04 Jul 2023 20:19:07 -0500

ipe (7.2.27+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [c607a57] Trim trailing whitespace.
  * [dbe3cf0] Use secure URI in Homepage field.
  * [b9441d3] Use canonical URL in Vcs-Browser.
  * [53d2fc5] Update standards version to 4.6.1, no changes needed.

  [ Steve Robbins ]
  * [c3e54d2] New upstream version 7.2.27+dfsg1
  * [360178e] Update control, rules.
  * [327940b] Remove obsolete preinst script.

 -- Steve M. Robbins <smr@debian.org>  Wed, 14 Jun 2023 22:13:50 -0500
