=== debian/control ===
--- 
+++ 
@@ -7,23 +7,17 @@
                debhelper-compat (= 13),
                doxygen,
                zlib1g-dev,
-               qtbase5-dev,
-               qtbase5-dev-tools,
-               libqtspell-qt5-dev,
-               libfreetype6-dev,
-               libcurl4-openssl-dev,
-               libgsl-dev,
-               libcairo2-dev,
-               libjpeg-dev,
-               libpng-dev,
-               liblua5.3-dev,
-               libspiro-dev,
+               qt6-base-dev, qt6-base-dev-tools,
+               libqt6svg6,
+               libfreetype-dev, libcairo2-dev, libjpeg-dev,
+               libpng-dev, liblua5.4-dev, zlib1g-dev,
+               libspiro-dev, libgsl-dev, curl, doxygen,
                fonts-urw-base35
 Build-Conflicts: libipe1-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/science-team/ipe
 Vcs-Git: https://salsa.debian.org/science-team/ipe.git
-Homepage: http://ipe.otfried.org/
+Homepage: https://ipe.otfried.org/
 
 Package: ipe
 Architecture: any
@@ -31,9 +25,10 @@
          ${shlibs:Depends},
          texlive-latex-base,
          fonts-urw-base35,
+         libqt6svg6,
          sensible-utils,
          xdg-utils
-Recommends: lua5.3
+Recommends: lua5.4
 Suggests: texlive-latex-recommended
 Description: drawing editor for creating figures in PDF or PS formats
  Ipe supports making small figures for inclusion into LaTeX
@@ -59,7 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.26
+Package: libipe7.2.27
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -75,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.26 (= ${binary:Version})
+         libipe7.2.27 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)
