=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.26
+IPEVER = 7.2.27
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Tell qtchooser which version we want.
-export QT_SELECT=qt5
+export QT_SELECT=qt6
 
 %:
 	dh $@ --sourcedirectory=src
@@ -20,7 +20,7 @@
 	mkdir -p build/doc
 	touch build/doc/manual-is-online
 
-override_dh_install: 
+override_dh_install:
 	dh_install
 	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib
